# Contributing 

Thank you for your interest in contributing to our project. Whether it's a bug report, new feature, correction, or additional documentation, we greatly value feedback and contributions from our community.

When contributing to this repository, please first discuss the change you wish to make via issue, email, or any other method with the owners of this repository before making a change.


## Contributing via Pull Requests

Contributions via pull requests are appreciated. To send us a pull request, please:

1.  Fork the repository.
2.  Modify the source; please focus on the specific change you are contributing. If you also reformat all the code, it will be hard for us to focus on your change.
3.  Ensure local tests pass.
4.  Commit to your fork using clear commit messages.
5.  Send us a pull request, answering any default questions in the pull request interface.
6.  Pay attention to any automated CI failures reported in the pull request, and stay involved in the conversation.

GitHub provides additional document on  [forking a repository](https://help.github.com/articles/fork-a-repo/)  and  [creating a pull request](https://help.github.com/articles/creating-a-pull-request/).
## Reporting Bugs/Feature Requests

We welcome you to use the GitHub issue tracker to report bugs or suggest features.

When filing an issue, please make sure somebody hasn't already reported the issue.  Please try to include as much information as you can, including:

-   Steps to reproduce the bug
-   The version of our code being used
-   Any modifications you've made relevant to the bug
-   Anything unusual about your environment or deployment

